Bug 78502 - FILEOPEN: WPS RTF - Beginning of file starts with multiple ';' characters
Summary: FILEOPEN: WPS RTF - Beginning of file starts with multiple ';' characters
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.4.0 target:4.2.7 target:4.3.1
Keywords: filter:rtf, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2014-05-09 21:27 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-09-30 14:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
kingsoft writer rtf (958.39 KB, application/rtf)
2014-05-09 21:27 UTC, Yousuf Philips (jay) (retired)
Details
the semicolons in libo 4.2, 4.3 and word 2010 (94.05 KB, image/jpeg)
2014-05-09 22:13 UTC, Yousuf Philips (jay) (retired)
Details
smaller file for isolation (32.09 KB, application/rtf)
2014-05-25 20:08 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-09 21:27:57 UTC
Created attachment 98778 [details]
kingsoft writer rtf

I download the .docx file found at < http://download.microsoft.com/documents/uk/partner/publicsector/DraftMicrosoftResponsetoGovernment.docx > and opened it in Kingsoft Writer and saved it as an RTF file. I then opened the RTF file in LibO and on page 1, a sequence of ';' characters is shown which dont appear when loading it in word 2010.

This was tested in Linux Mint on the last releases from 4.1 and 4.2, 4.2.5 and 4.3 alpha. This was
Comment 1 Yousuf Philips (jay) (retired) 2014-05-09 22:13:46 UTC
Created attachment 98784 [details]
the semicolons in libo 4.2, 4.3 and word 2010
Comment 2 tommy27 2014-05-14 02:02:41 UTC
confirmed under Win7x64 using LibO 4.2.4.2
Comment 3 Yousuf Philips (jay) (retired) 2014-05-25 20:08:21 UTC
Created attachment 99796 [details]
smaller file for isolation
Comment 4 Urmas 2014-06-20 07:57:15 UTC
Apparently caused by semicolon terminators in the style table encoded as "{\uc1 \u59 ?}".
Comment 5 Yousuf Philips (jay) (retired) 2014-06-21 02:19:43 UTC
Checked the old rtf import filter found in 3.3 and this bug isnt there.
Comment 6 Commit Notification 2014-07-18 22:29:43 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b94bd40b915ab32d18d43fc60dfda932e4e00ca8

(related: fdo#78502) writerfilter: RTF import: fix invalid string copy



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-07-18 22:29:57 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e93f0852477b44df986807860c821319a921b199

fdo#78502: writerfilter: RTF import: handle \u keyword inside levelnumbers



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Michael Stahl (CIB) 2014-07-18 22:37:16 UTC
fixed on master
Comment 9 Commit Notification 2014-07-18 22:38:24 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9dca968c6fd0ab5ca140c65b0e54d153cd34986

fdo#78502: actually empty parameter to getParagraph() is not tested



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-07-21 08:45:30 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7bd0484228beb4529e84742faf56f813dca495a&h=libreoffice-4-2

(related: fdo#78502) writerfilter: RTF import: fix invalid string copy


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-07-21 08:45:45 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a68dbdd334f9e653eb7e4db934055d32be506537&h=libreoffice-4-3

(related: fdo#78502) writerfilter: RTF import: fix invalid string copy


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-07-29 11:47:55 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd300cfba34ee8d4cc479cbbe9cf8703590c74b6&h=libreoffice-4-3

fdo#78502: writerfilter: RTF import: handle \u keyword inside levelnumbers


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2014-07-30 08:36:04 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f31376e9c55a00905da8f025083d307bc7afa42&h=libreoffice-4-2

fdo#78502: writerfilter: RTF import: handle \u keyword inside levelnumbers


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Robinson Tryon (qubit) 2015-12-17 12:38:20 UTC Comment hidden (obsolete)